% PRESSEDIT
% Edit the current fuzzy system
% Used in the Pressure Dynamics Exercise
% 
% Called by fuzzPRES

% Magne, 1998


%-----------------------------
% Open EDIT menue in MAINMENU
%-----------------------------
figure(mainmenu);clf;
RMStr='0';	% Default rule to remove (none)
rm=0;
MTStr=num2str(mt);
CTStr=num2str(ct);
mfedit=0;	% MFS editor has not yet been used

pos=uleft;
set(mainmenu,'position',pos,'Name','Edit the Fuzzy Syste','visible','on');
set(gca,'position',[0 0 1 1]);
axis off;

% EDIT BUTTON FRAME
%======================

uicontrol( ...
        'Style','frame', ...
        'Units','normalized', ...
        'Position',[.75 .1 .2 .8]);
uicontrol( ...
		'Style','text', ...
        'Units','normalized', ...
        'Position',[0.76 .75 .18 .1], ...
		'HorizontalAlignment','center', ...
        'String','ACTIONS');

%--- UPDATE button 
%callbackStr=['[mfs,rls,p,mp,mu]=editupd(trd,mfs,rls,rm,mt,ct,rlimits);presinsp;'];
callbackStr=['editupd;presinsp;'];
uicontrol( ...
    'Interruptible','on', ...
    'Style','pushbutton', ...
    'Units','normalized', ...
    'UserData',0, ...
	'Position',[.77 .60 .16 .15], ...
    'String','UPDATE', ...
    'Callback',callbackStr);

%--- EDIT MFS button 
callbackStr=['presmfs;'];
uicontrol( ...
    'Interruptible','on', ...
    'Style','pushbutton', ...
    'Units','normalized', ...
    'UserData',0, ...
	'Position',[.77 .45 .16 .15], ...
    'String','Edit mfs', ...
    'Callback',callbackStr);

%--- PREMISE SPACE button 
callbackStr=['presprem'];
uicontrol( ...
    'Interruptible','on', ...
    'Style','pushbutton', ...
    'Units','normalized', ...
    'UserData',0, ...
    'Position',[.77 .30 .16 .15], ...
    'String','View premise', ...
    'Callback',callbackStr);

%--- MAIN MENU button
callbackStr=['presmain']; 
uicontrol( ...
    'Style','pushbutton', ...
    'Units','normalized', ...
    'Position',[.77 .15 .16 .15], ...
    'String','MAIN MENU', ...
    'Callback',callbackStr);

% DATA FRAME
%======================

uicontrol( ...
        'Style','frame', ...
        'Units','normalized', ...
        'Position',[.05 .1 .6 .8]);
uicontrol( ...
		'Style','text', ...
        'Units','normalized', ...
		'Position',[.25 .75 .2 .1], ...
        'HorizontalAlignment','center', ...
        'String','PARAMETERS');
uicontrol( ...
		'Style','text', ...
        'Units','normalized', ...
        'Position',[.1 .7 .45 .09], ...
        'HorizontalAlignment','center', ...
        'String','* Press [UPDATE] to update system *');
     
     
%--- PARTITION OF THE VALVE
uicontrol( ...
		'Style','text', ...
        'Units','normalized', ...
        'Position',[.1 .55 .45 .1], ...
        'HorizontalAlignment','left', ...
        'String','Remove rule nr. (>0)');
uicontrol( ...
        'Style','edit', ...
        'Units','normalized', ...
        'String',RMStr, ...
        'Callback','RMStr = get(gco,''String''); rm = eval(RMStr);', ...
        'Position',[.58 .55 .04 .1]);

%--- MFS TYPE
uicontrol( ...
		'Style','text', ...
        'Units','normalized', ...
        'Position',[.1 .45 .45 .1], ...
        'HorizontalAlignment','left', ...
        'String','Membership function type (1,2,3)');
uicontrol( ...
        'Style','edit', ...
        'Units','normalized', ...
        'String',MTStr, ...
        'Callback','MTStr = get(gco,''String''); mt = eval(MTStr); ', ...
        'Position',[.58 .45 .04 .1]);

%--- FUZZY SYSTEM TYPE
uicontrol( ...
		'Style','text', ...
        'Units','normalized', ...
        'Position',[.1 .35 .45 .1], ...
        'HorizontalAlignment','left', ...
        'String','Fuzzy System type (1,2)');
uicontrol( ...
        'Style','edit', ...
        'Units','normalized', ...
        'String',CTStr, ...
        'Callback','CTStr = get(gco,''String''); ct = eval(CTStr);', ...
        'Position',[.58 .35 .04 .1]);
uicontrol( ...
		'Style','text', ...
        'Units','normalized', ...
        'Position',[.1 .17 .54 .05], ...
        'HorizontalAlignment','left', ...
        'String','(Fuzzy system 1 = Mamdani)');
uicontrol( ...
		'Style','text', ...
        'Units','normalized', ...
        'Position',[.1 .11 .54 .05], ...
        'HorizontalAlignment','left', ...
        'String','(Fuzzy system 2 = Takagi Sugeno)');	
     
set(mainmenu,'Visible','on','pointer','arrow');