% PRESMAIN
% Pressure Exercise MAIN MENU
%
% Called by fuzzPRES

% Magne, 1998

MUStr=num2str(mu);
MPStr=num2str(mp);
MTStr=num2str(mt);
CTStr=num2str(ct);

figure(mainmenu);
clf;
pos=uleft;
set(mainmenu,...
		'NumberTitle','off', ...
      	'Name','Fuzzy System - Pressure Dynamics', ...
        'Units','pixel', ...
		'Resize','on', ...
        'Pointer','watch',...
		'Menu','none',...
		'Position',pos);
set(gca,'position',[0 0 1 1]);
axis off;

% CONTROL BUTTON FRAME
%======================

uicontrol( ...
        'Style','frame', ...
        'Units','normalized', ...
        'Position',[.75 .1 .2 .8]);
uicontrol( ...
		'Style','text', ...
        'Units','normalized', ...
        'Position',[0.76 .75 .18 .1], ...
		'HorizontalAlignment','center', ...
       'String','ACTIONS');

%--- NEW button 
callbackStr=['[mfs,rls,p]=presupd(trd,mu,mp,mt,ct,rlimits);presinsp'];
uicontrol( ...
    'Interruptible','on', ...
    'Style','pushbutton', ...
    'Units','normalized', ...
    'UserData',0, ...
	'Position',[.77 .60 .16 .15], ...
    'String','NEW GRID', ...
    'Callback',callbackStr);

%--- EDIT button 
callbackStr=['presinsp;presedit'];
uicontrol( ...
    'Interruptible','on', ...
    'Style','pushbutton', ...
    'Units','normalized', ...
    'UserData',0, ...
	'Position',[.77 .45 .16 .15], ...
    'String','Edit', ...
    'Callback',callbackStr);

%--- SIMULATE button 
callbackStr=['simselct;'];
uicontrol( ...
    'Interruptible','on', ...
    'Style','pushbutton', ...
    'Units','normalized', ...
    'UserData',0, ...
    'Position',[.77 .30 .16 .15], ...
    'String','Simulate', ...
    'Callback',callbackStr);

%--- EXIT button
callbackStr=['close all;clear;']; 
uicontrol( ...
    'Style','pushbutton', ...
    'Units','normalized', ...
    'Position',[.77 .15 .16 .15], ...
    'String','EXIT', ...
    'Callback',callbackStr);

% DATA FRAME
%======================

uicontrol( ...
        'Style','frame', ...
        'Units','normalized', ...
        'Position',[.05 .1 .6 .8]);
uicontrol( ...
		'Style','text', ...
        'Units','normalized', ...
		'Position',[.25 .75 .2 .1], ...
        'HorizontalAlignment','center', ...
        'String','PARAMETERS');
uicontrol( ...
		'Style','text', ...
        'Units','normalized', ...
        'Position',[.1 .7 .45 .09], ...
        'HorizontalAlignment','center', ...
        'String','* Press [NEW GRID] to create a NEW system *');	

%--- PARTITION OF THE VALVE
uicontrol( ...
		'Style','text', ...
        'Units','normalized', ...
        'Position',[.1 .55 .45 .1], ...
        'HorizontalAlignment','left', ...
        'String','Fuzzy partition of valve u(k) (2...5)');
uicontrol( ...
        'Style','edit', ...
        'Units','normalized', ...
        'String',MUStr, ...
        'Callback','MUStr = get(gco,''String''); mu = eval(MUStr);', ...
        'Position',[.58 .55 .04 .1]);

%--- PARTITION OF THE PRESSURE
uicontrol( ...
		'Style','text', ...
        'Units','normalized', ...
        'Position',[.1 .45 .5 .1], ...
        'HorizontalAlignment','left', ...
        'String','Fuzzy partition of pressure y(k) (2...5)');
uicontrol( ...
        'Style','edit', ...
        'Units','normalized', ...
        'String',MPStr, ...
        'Callback','MPStr = get(gco,''String''); mp = eval(MPStr); ', ...
        'Position',[.58 .45 .04	 .1]);

%--- MFS TYPE
uicontrol( ...
		'Style','text', ...
        'Units','normalized', ...
        'Position',[.1 .35 .45 .1], ...
        'HorizontalAlignment','left', ...
        'String','Membership function type (1,2,3)');
uicontrol( ...
        'Style','edit', ...
        'Units','normalized', ...
        'String',MTStr, ...
        'Callback','MTStr = get(gco,''String''); mt = eval(MTStr); ', ...
        'Position',[.58 .35 .04 .1]);

%--- FUZZY SYSTEM TYPE
uicontrol( ...
		'Style','text', ...
        'Units','normalized', ...
        'Position',[.1 .25 .45 .1], ...
        'HorizontalAlignment','left', ...
        'String','Fuzzy System type (1,2)');
uicontrol( ...
        'Style','edit', ...
        'Units','normalized', ...
        'String',CTStr, ...
        'Callback','CTStr = get(gco,''String''); ct = eval(CTStr);', ...
        'Position',[.58 .25 .04 .1]);
uicontrol( ...
		'Style','text', ...
        'Units','normalized', ...
        'Position',[.1 .17 .54 .05], ...
        'HorizontalAlignment','left', ...
        'String','(Fuzzy system 1 = Mamdani)');
uicontrol( ...
		'Style','text', ...
        'Units','normalized', ...
        'Position',[.1 .11 .54 .05], ...
        'HorizontalAlignment','left', ...
        'String','(Fuzzy system 2 = Takagi Sugeno)');	

%text(.1,0.1,'Press [NEW] to create a new system');     
set(mainmenu,'Visible','on','pointer','arrow');
