% Function fitting exercise for fuzz Course, 1998
% 
% Magne & Robert, 1998
% Matlab 5 version, september 1998

%--------------
%Load the data
%--------------
echo off;
clear all;close all;
load sinedata;

%------------
% Initialize
%------------
deffuzz;

mfs=mfequ(x,2,7);

%------------------------
% Plot data to be fitted
%------------------------
pos=uright;
figNumber=1;figure(figNumber); clf;
set(figNumber,...
            'MenuBar','none','NextPlot','add', ...
            'Name','Function approximation / local models','NumberTitle','off','Position',pos);
plot(x,y,'b');axis([0 100 -60 60]);
set(gca,'xtick',[0:20:100]');
set(gca,'xgrid','on');
set(gca,'box','off');
xlabel('x');ylabel('y');


%---------------------
% CONTROLS MENU
%----------------------
% Initialize important default values

MNStr='7';	% Default number of membership functions
MTStr='2';	% Default membership function type
CTStr='1';	% Default type of fuzzy system (1=singleton, 2=functions)
mn=7;
mt=2;
ct=1;

pos=uleft;
figNumber=figure( ...
	'NumberTitle','off', ...
        'Name','Fuzzy System - Control Panel', ...
        'Units','pixel', ...
        'Visible','off', ...
			'Resize','on', ...
          'Pointer','watch',...
	'Menu','none',...
	'Position',pos);

set(gca,'position',[0 0 1 1]);
axis off;

% CONTROLS
%========================================

uicontrol( ...
        'Style','frame', ...
        'Units','normalized', ...
        'Position',[.75 .1 .2 .8]);

uicontrol( ...
	'Style','text', ...
        'Units','normalized', ...
        'Position',[0.76 .75 .18 .1], ...
	'HorizontalAlignment','center', ...
        'String','ACTIONS');

%========================================
% Create the GO button 

callbackStr=['mfs = mfget(3); [ym,ylm,p]=sinefit(x,y,ct,mfs,1);'];

uicontrol( ...
    'Interruptible','on', ...
    'Style','pushbutton', ...
    'Units','normalized', ...
    'UserData',0, ...
    'Position',[.77 .55 .16 .2], ...
    'String','UPDATE', ...
    'Callback',callbackStr);

%========================================
% Create the EXIT button
callbackStr=[ ...
    'close all;clear;']; 
uicontrol( ...
    'Style','pushbutton', ...
    'Units','normalized', ...
    'Position',[.77 .15 .16 .2], ...
    'String','EXIT', ...
    'Callback',callbackStr);

% DATA FRAME

%---
uicontrol( ...
        'Style','frame', ...
        'Units','normalized', ...
        'Position',[.05 .1 .6 .8]);

uicontrol( ...
	'Style','text', ...
        'Units','normalized', ...
	'Position',[.23 .75 .25 .1], ...
        'HorizontalAlignment','center', ...
        'String','PARAMETERS');
%--- NUMBER OF MFS
uicontrol( ...
	'Style','text', ...
        'Units','normalized', ...
        'Position',[.1 .57 .4 .1], ...
        'HorizontalAlignment','left', ...
        'String','Number of Fuzzy Sets (>1)');

uicontrol( ...
        'Style','edit', ...
        'Units','normalized', ...
        'String',MNStr, ...
        'Callback','MNStr = get(gco,''String''); mn = eval(MNStr); mfset(3,''mfs'',mt*ones(mn,1)); mfs = mfget(3); [ym,ylm,p]=sinefit(x,y,ct,mfs,1);', ...
        'Position',[.55 .57 .07 .1]);
%--- MFS TYPE
uicontrol( ...
	'Style','text', ...
        'Units','normalized', ...
        'Position',[.1 .45 .4 .12], ...
        'HorizontalAlignment','left', ...
        'String','Membership Func. Type (1,2,3)');

uicontrol( ...
        'Style','edit', ...
        'Units','normalized', ...
        'String',MTStr, ...
        'Callback','MTStr = get(gco,''String''); mt = eval(MTStr);  mfs = mfget(3); mfs(:,1) = mt*ones(size(mfs(:,1))); mfset(3,''mfs'',mfs); [ym,ylm,p]=sinefit(x,y,ct,mfs,1);', ...
        'Position',[.55 .45 .07 .11]);

%---CONSEQUENT TYPE
uicontrol( ...
	'Style','text', ...
        'Units','normalized', ...
        'Position',[.1 .32 .3 .12], ...
        'HorizontalAlignment','left', ...
        'String','Consequent type (1,2)');

uicontrol( ...
        'Style','edit', ...
        'Units','normalized', ...
        'String',CTStr, ...
        'Callback','CTStr = get(gco,''String''); ct = eval(CTStr); mfs = mfget(3); [ym,ylm,p]=sinefit(x,y,ct,mfs,1);', ...
        'Position',[.55 .32 .07 .12]);
uicontrol( ...
	'Style','text', ...
        'Units','normalized', ...
        'Position',[.1 .18 .5 .08], ...
        'HorizontalAlignment','left', ...
        'String','(Consequent 1 = sigleton)');
uicontrol( ...
	'Style','text', ...
        'Units','normalized', ...
        'Position',[.1 .12 .5 .08], ...
        'HorizontalAlignment','left', ...
        'String','(Consequent 2 = linear function)');		
		
set(gcf,'Visible','on','pointer','arrow');

% Open the mfs editor
pos=lright;
mfset(3,'Domain','0:1:100','position',pos,'mfs',mfs)
set(gcf,'Name','Membership functions editor',...
	'NumberTitle','off', ...
	'Menu','none');

mfset(3,'input',-inf)


